﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Dtos.Article;
using Hotline.Share.Dtos.FlowEngine;
using Hotline.Share.Enums.FlowEngine;

namespace Hotline.Share.Dtos.Order
{
    public class OrderStartFlowDto : StartWorkflowDto<UpdateOrderDto>
    {

    }

    public class OrderHandleFlowDto : StartWorkflowDto<UpdateOrderDto>
    {
        public string OrderId { get; set; }

        #region 手动填入办理人信息

        /// <summary>
        /// 真实办理人姓名（手动填写）
        /// </summary>
        public string? RealHandlerName { get; set; }

        /// <summary>
        /// 真实办理人电话（手动填写）
        /// </summary>
        public string? RealHandlerPhone { get; set; }

        /// <summary>
        /// 沟通方式（手动填写）
        /// </summary>
        public ERealCommunicationMode? RealCommunicationMode { get; set; }

        /// <summary>
        /// 沟通时间（手动填写）
        /// </summary>
        public DateTime? RealCommunicationTime { get; set; }

        /// <summary>
        /// 沟通地点（手动填写）
        /// </summary>
        public string? RealCommunicationAddress { get; set; }

        /// <summary>
        /// 已与市民沟通
        /// </summary>
        public bool? RealIsContacted { get; set; }

        /// <summary>
        /// 已与市民现场沟通
        /// </summary>
        public bool? RealContactLocale { get; set; }

        #endregion
    }

    public class ScreenStartFlowDto : StartWorkflowDto<OrderScreenDto>
    {

    }

    public class ScreenNextFlowDto 
    {
		public OrderScreenDto Data { get; set; }

		public NextWorkflowDto NextWorkflow { get; set; }
	}

    public class DelayNextFlowDto
	{
	    public OrderDelayDto Data { get; set; }

	    public NextWorkflowDto NextWorkflow { get; set; }
    }

	public class DelayStartFlowDto : StartWorkflowDto<ApplyDelayDto>
    {

    }

}
